Subsystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.Subsystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface Subsystem

All Known Subinterfaces:
  DB2Subsystem, IMSSubsystem, MQSubsystem

    public interface Subsystem

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`AddressSpace[]` | `getAddressspace()`
`AddressSpace[]` | `getAddressspaces()`
`BindAddress` | `getBindaddress()`
`java.lang.String` | `getCommandPrefixName()`
`java.lang.String` | `getControllingAddressSpace()` The name of the address space that is considered the "controlling" address space for this subsystem.
`SysplexGroup` | `getSysplexgroup()`
`boolean` | `hasAddressspace()`
`boolean` | `hasAddressspaces()`
`boolean` | `hasBindaddress()`
`boolean` | `hasCommandPrefixName()`
`boolean` | `hasControllingAddressSpace()`
`boolean` | `hasSysplexgroup()`
`void` | `setAddressspace(AddressSpace[] x)`
`void` | `setAddressspaces(AddressSpace[] x)`
`void` | `setBindaddress(BindAddress x)`
`void` | `setCommandPrefixName(java.lang.String x)`
`void` | `setControllingAddressSpace(java.lang.String x)`
`void` | `setSysplexgroup(SysplexGroup x)`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getAddressspace

    AddressSpace[] getAddressspace()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setAddressspace

    void setAddressspace(AddressSpace[] x)

### hasAddressspace

    boolean hasAddressspace()

### getControllingAddressSpace

    java.lang.String getControllingAddressSpace()
                                                throws AttributeNotSetException

  The name of the address space that is considered the "controlling" address space for this subsystem. Datatype

  Throws:
    `AttributeNotSetException`

### setControllingAddressSpace

    void setControllingAddressSpace(java.lang.String x)

### hasControllingAddressSpace

    boolean hasControllingAddressSpace()

### getSysplexgroup

    SysplexGroup getSysplexgroup()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setSysplexgroup

    void setSysplexgroup(SysplexGroup x)

### hasSysplexgroup

    boolean hasSysplexgroup()

### getBindaddress

    BindAddress getBindaddress()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setBindaddress

    void setBindaddress(BindAddress x)

### hasBindaddress

    boolean hasBindaddress()

### getCommandPrefixName

    java.lang.String getCommandPrefixName()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCommandPrefixName

    void setCommandPrefixName(java.lang.String x)

### hasCommandPrefixName

    boolean hasCommandPrefixName()

### getAddressspaces

    AddressSpace[] getAddressspaces()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setAddressspaces

    void setAddressspaces(AddressSpace[] x)

### hasAddressspaces

    boolean hasAddressspaces()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD